package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// fs_feishu_webhook_log 飞书webhook记录表
type FsFeishuWebhookLog struct {
	Id         int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	AppId      *string    `gorm:"default:'';" json:"app_id"`                       // app_id
	EventId    *string    `gorm:"index;default:'';" json:"event_id"`               // 事件唯一id
	EventType  *string    `gorm:"default:'';" json:"event_type"`                   // 事件名
	HttpHeader *string    `gorm:"default:'';" json:"http_header"`                  // http响应头信息
	HttpBody   *string    `gorm:"default:'';" json:"http_body"`                    // http body信息
	MsgCtime   *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"msg_ctime"` //
	Ctime      *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"ctime"`     //
}
type FsFeishuWebhookLogModel struct {
	db   *gorm.DB
	name string
}

func NewFsFeishuWebhookLogModel(db *gorm.DB) *FsFeishuWebhookLogModel {
	return &FsFeishuWebhookLogModel{db: db, name: "fs_feishu_webhook_log"}
}
